/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.rax1;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Department</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link tdt4250.ra.rax1.Department#getShortName <em>Short Name</em>}</li>
 *   <li>{@link tdt4250.ra.rax1.Department#getName <em>Name</em>}</li>
 *   <li>{@link tdt4250.ra.rax1.Department#getPersons <em>Persons</em>}</li>
 *   <li>{@link tdt4250.ra.rax1.Department#getCourses <em>Courses</em>}</li>
 * </ul>
 *
 * @see tdt4250.ra.rax1.Rax1Package#getDepartment()
 * @model
 * @generated
 */
public interface Department extends EObject
{
  /**
   * Returns the value of the '<em><b>Short Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Short Name</em>' attribute.
   * @see #setShortName(String)
   * @see tdt4250.ra.rax1.Rax1Package#getDepartment_ShortName()
   * @model
   * @generated
   */
  String getShortName();

  /**
   * Sets the value of the '{@link tdt4250.ra.rax1.Department#getShortName <em>Short Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Short Name</em>' attribute.
   * @see #getShortName()
   * @generated
   */
  void setShortName(String value);

  /**
   * Returns the value of the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name</em>' attribute.
   * @see #setName(String)
   * @see tdt4250.ra.rax1.Rax1Package#getDepartment_Name()
   * @model
   * @generated
   */
  String getName();

  /**
   * Sets the value of the '{@link tdt4250.ra.rax1.Department#getName <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name</em>' attribute.
   * @see #getName()
   * @generated
   */
  void setName(String value);

  /**
   * Returns the value of the '<em><b>Persons</b></em>' containment reference list.
   * The list contents are of type {@link tdt4250.ra.rax1.Person}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Persons</em>' containment reference list.
   * @see tdt4250.ra.rax1.Rax1Package#getDepartment_Persons()
   * @model containment="true"
   * @generated
   */
  EList<Person> getPersons();

  /**
   * Returns the value of the '<em><b>Courses</b></em>' containment reference list.
   * The list contents are of type {@link tdt4250.ra.rax1.Course}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Courses</em>' containment reference list.
   * @see tdt4250.ra.rax1.Rax1Package#getDepartment_Courses()
   * @model containment="true"
   * @generated
   */
  EList<Course> getCourses();

} // Department
